Get categories with optional filtering and transaction inclusion

Retrieve transaction categories for an entity with flexible filtering options. Categories correspond to accounts from the Chart of Accounts that can be used for transaction categorization (excluding bank accounts). **Query Options:** - Get all categories: `?entityId=xxx` - Get specific category: `?entityId=xxx&categoryId=yyy` - Include transactions: `?entityId=xxx&includeTransactions=true` - Get specific category with transactions: `?entityId=xxx&categoryId=yyy&includeTransactions=true`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

entityIdstringRequired
The ID of the entity to get categories for
categoryIdstringOptional

Optional - Filter to a specific category by ID

typeenumOptional
Filter categories by account type
Allowed values:
includeTransactionsbooleanOptionalDefaults to false
Include transaction data for each category
startDatestringOptionalformat: "date"

Filter transactions from this date (ISO 8601 format)

endDatestringOptionalformat: "date"

Filter transactions to this date (ISO 8601 format)

cursorstringOptional

Cursor for transaction pagination (when includeTransactions=true)

pageSizeintegerOptional1-100Defaults to 50

Number of transactions per category (when includeTransactions=true)

includeAllStatesbooleanOptionalDefaults to false

Include transactions in all states (when includeTransactions=true)

Response

Categories retrieved successfully
categorieslist of objects or null
totalCountinteger or null
Total number of categories returned
isSingleCategoryboolean or null
True if filtering to a specific categoryId

Errors